macOS High Sierra

macOS High Sierra

  Apple have released the latest version of OSX which is compatible with the following Macs:   iMac: late 2009 or newer MacBook/MacBook (Retina): late 2009 or newer MacBook Pro: mid-2010 or newer MacBook Air: late 2010 or newer Mac Mini: mid-2010 or newer Mac Pro: mid-2010 or newer iMac Pro: 2017   New features include • Updated versions of Photos and Safari • High Efficiency Video Coding (HEVC) –  only available on certain Macs •  Apple File System (AFPS)     To run the system smoothly we suggest a minimum of 8GB RAM.  As with any system update, we recommend waiting until any essential software has been updated and making a full backup before installing.    ...